summaryrefslogtreecommitdiff
path: root/update_exchange.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update_exchange.sh')
-rwxr-xr-xupdate_exchange.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/update_exchange.sh b/update_exchange.sh
new file mode 100755
index 0000000..e5882d9
--- /dev/null
+++ b/update_exchange.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+export GNUNET_BASE_CONFIG=$HOME/deployment/taler-arm
+export PATH="$HOME/local/bin":$PATH
+
+build_mint() {
+ (
+ set -eu
+
+ cd $HOME/mint
+ make clean || true
+ ./bootstrap
+ ./configure CFLAGS='-ggdb -O0' \
+ --with-libgnurl=$HOME/local \
+ --with-microhttpd=$HOME/local \
+ --prefix=$HOME/local --with-gnunet=$HOME/local \
+ --enable-logging=verbose
+ make
+ make install
+ )
+}
+
+cd $HOME/mint && \
+ git pull && \
+ cd $HOME/deployment && \
+ build_mint && \
+ gnunet-arm -k taler-mint
+gnunet-arm -i taler-mint